getVarCov                package:nlme                R Documentation

Extract variance-covariance matrix

Description:

     Extract the variance-covariance matrix from a fitted model, such
     as a mixed-effects model.

Usage:

     getVarCov(obj, ...)
     ## S3 method for class 'lme':
     getVarCov(obj, individuals,
         type = c("random.effects", "conditional", "marginal"), ...)
     ## S3 method for class 'gls':
     getVarCov(obj, individual = 1, ...)

Arguments:

     obj: A fitted model.  Methods are available for models fit by
          'lme' and by 'gls'

individuals: For models fit by 'lme' a vector of levels of the grouping
          factor can be specified for the conditional or marginal
          variance-covariance matrices.

individual: For models fit by 'gls' the only type of
          variance-covariance matrix provided is the marginal
          variance-covariance of the responses by group.  The optional
          argument 'individual' specifies the group of responses.

    type: For models fit by 'lme' the 'type' argument specifies the
          type of variance-covariance matrix, either '"random.effects"'
          for the random-effects variance-covariance (the default), or
          '"conditional"' for the conditional. variance-covariance of
          the responses or '"marginal"' for the the marginal
          variance-covariance of the responses.

     ...: Optional arguments for some methods, as described above

Value:

     A variance-covariance matrix or a list of variance-covariance
     matrices.

Author(s):

     Mary Lindstrom lindstro@biostat.wisc.edu

See Also:

     'lme', 'gls'

Examples:

     data(Orthodont)
     fm1 <- lme(distance ~ age, data = Orthodont, subset = Sex == "Female")
     getVarCov(fm1)
     getVarCov(fm1, individual = "F01", type = "marginal")
     getVarCov(fm1, type = "conditional")
     data(Ovary)
     fm2 <- gls(follicles ~ sin(2*pi*Time) + cos(2*pi*Time), Ovary,
                correlation = corAR1(form = ~ 1 | Mare))
     getVarCov(fm2)

